Bug 168440 - Doesn't recognize Lexar Cardbus CF reader after first bootup
Doesn't recognize Lexar Cardbus CF reader after first bootup
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: pcmcia-cs (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-15 19:53 EDT by stephen
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-03 09:50:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/logs/messages for Sandisk (1021 bytes, text/plain)
2005-09-15 19:55 EDT, stephen
no flags Details

  None (edit)
Description stephen 2005-09-15 19:53:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b4) Gecko/20050908 Firefox/1.4

Description of problem:
I have installed my IBM A22M laptop a few times with FC4.  If Install
it with my Lexar Cardbus Compact Flash reader in the pcmcia slot, the
card will be mountable on first bootup.  I don't believe it will auto-
matically show in fstab, but I can enter it and it in is /proc/partitions.
After rebooting, even if I don't do updates, it will never detect again,
even the partition won't be listed, unless I reinstall again.

Version-Release number of selected component (if applicable):
any version

How reproducible:
Always

Steps to Reproduce:
1. Put card reader in pcmcia slot
2. Install FC4
3. First bootup, check fstab, it shall list
4  Reboot
5  Check fstab, does not show
  

Actual Results:  cat /proc/partitions only show HDD partitions

Expected Results:  cat /proc/partitions should show cardbus CF and HDD partitions

Additional info:

16-bit Sandisk CF reader continues to work just "fine" (another bug report
since pcmcia doesn't automount like it did in FC3).
Comment 1 stephen 2005-09-15 19:55:51 EDT
Created attachment 118876 [details]
/var/logs/messages for Sandisk

/var/logs/messages events that occur when I put in my 16bit Sandisk (no events
for Lexar).
Comment 2 Pete Zaitcev 2005-10-01 00:23:27 EDT
So, what does "cardctl ident" say?
Comment 3 stephen 2005-10-01 14:43:39 EDT
cardctl ident:

Socket 1:
cs: warning: no high memory space available!
  no product info available

cardctl status:

Socket 1:
3.3V CardBus card
  function 0: [ready]
Comment 4 stephen 2005-10-29 21:44:48 EDT
The 2.6.11-1.1369 Kernel that is originally comes with FC4 has a kernel module:
delkin_cb.ko and loads it.  Upgrades of the kernel doesn't load this driver.
This looks like it is for delkin based cardbus cards, however it seems to work
for the lexar as well.

I tried insmod'ing the module from the prior kernel, but couldn't.

Message: "insmod error inserting 'path/file'"

modules is located at:

/lib/modules/2.6.11-1.1369_FC/kernel/drivers/ide/pci/delkin_cb.ko


If this module is the answer, why isn't it provided every kernel.  Why would
it be dropped for the updates?  Any ideas how to fix this.  I prefer
not to compile my own kernels and going back to 11 isn't very fun either.
Comment 5 John Thacker 2006-10-29 18:12:53 EST
pcmcia-cs is obsolete and has been removed from Fedora Core.  It is not present
in FC5 or FC6, the only fully supported versions of Fedora Core.  (FC3 and FC4
are supported by Fedora Legacy for security fixes only.)  It has been replaced
by pcmciautils.  Due to the change in codebase, can you please retest this bug
against pcmciautils in FC5 or FC6?  If the bug is still present there, please
change the Component to pcmciautils and the version appropriately.  Thanks!

If there is no response within several weeks, the bug will be closed.
Comment 6 stephen 2006-10-29 18:47:08 EST
I am unable to do further testing on this issue.
Comment 7 John Thacker 2007-01-03 09:50:49 EST
Per the previous comment, closing bug since pcmcia-cs is no longer supported. 
If a similar bug still exists in pcmciautils, the replacement for pcmcia-cs,
please reopen the bug or file a new one.

Note You need to log in before you can comment on or make changes to this bug.